Bug 1131639 - Rubygem-Staypuft: Using different HW in the same deployment will fail the deployment because the NICs are named differently.
Summary: Rubygem-Staypuft: Using different HW in the same deployment will fail the de...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhel-osp-installer
Version: unspecified
Hardware: x86_64
OS: Linux
high
high
Target Milestone: z2
: Installer
Assignee: Mike Burns
QA Contact: Alexander Chuzhoy
URL:
Whiteboard:
Depends On: 1126982
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-19 18:06 UTC by Mike Burns
Modified: 2014-11-04 17:02 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
This enhancement allows Red Hat Enterprise Linux OpenStack Platform installer to deploy controllers on heterogeneous hardware. This was added to support environments without consistent hardware. Consequently, users can now configure the NICs on each host individually, or on a group of hosts together if they have the same NIC layout. In addition, the user interface enforces that the hosts can only be configured if the NIC layouts match.
Clone Of: 1126982
Environment:
Last Closed: 2014-11-04 17:02:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1800 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Installer Bug Fix Advisory 2014-11-04 22:00:19 UTC

Comment 4 Mike Burns 2014-10-01 17:42:30 UTC
removing doc text

Comment 5 Mike Burns 2014-10-01 17:42:53 UTC
This was resolved in A1, marking testonly

Comment 7 Alexander Chuzhoy 2014-10-06 18:35:16 UTC
Verified: rhel-osp-installer-0.4.1-2.el6ost.noarch

The concern here was that the same NIC name was specified for for tenant or external network with the assumption that the same NIC name is used on all nodes.

We now have NIC assignment per hosts. Already saw cases where NICs were named differently (VM based setup) and yet due to the fact that the assignment is done per host - the deployment succeeds.

Comment 10 errata-xmlrpc 2014-11-04 17:02:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2014-1800.html


Note You need to log in before you can comment on or make changes to this bug.